Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597141 - Ironlake/Arrandale graphics in HP Elitebook 8440p does not work (internal DisplayPort)
Summary: Ironlake/Arrandale graphics in HP Elitebook 8440p does not work (internal Dis...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 13
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-28 08:41 UTC by Michael Class
Modified: 2018-04-11 07:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-02 12:32:41 UTC


Attachments (Terms of Use)
lspci -v (deleted)
2010-05-28 08:41 UTC, Michael Class
no flags Details
dmesg output (deleted)
2010-05-28 08:41 UTC, Michael Class
no flags Details
Xorg.0.log when booted with nonodeset (deleted)
2010-05-28 08:42 UTC, Michael Class
no flags Details
Xorg.0.log from a GENTOO where at least VESA does work (deleted)
2010-05-28 08:43 UTC, Michael Class
no flags Details
dmesg output if normal system boot (display stayes dark after grub) (deleted)
2010-05-30 13:50 UTC, Michael Class
no flags Details
Xorg.0.log of normalboot (blank display after grub) (deleted)
2010-05-30 13:52 UTC, Michael Class
no flags Details
/var/log/messages file of system (normal boot, blank display after grub) (deleted)
2010-05-30 13:53 UTC, Michael Class
no flags Details

Description Michael Class 2010-05-28 08:41:05 UTC
Created attachment 417513 [details]
lspci -v

Description of problem:

Just got a new Laptop (HP Elitebook 8440p with Ironlake Graohics). Booting the Fedora 13 Desktop CD does only give a black display. Booting with "nomodeset" does boot in text mode, but X server does not work later on


Version-Release number of selected component (if applicable):
Fedora 13 Desktop CD (kernel 2.6.33.3-85   x64 version)

How reproducible:
Just boot from Fedora 13 Desktop CD. Issue happens all the time and immediately

Steps to Reproduce:
1.
2.
3.
  
Actual results:
When booting switches to grahics mode (after grub) display gets and stays dark.

Expected results:
Obvoius

Additional info:
I do get the same behaviour with Ubuntu 10.04. With a GENTOO based recovery CD I do get at least VESA graphics to work.

Attached:
lspci -v
dmesg
Xorg.0.log
Xorg.0.log from GENTOO where vesa graohics is working

Comment 1 Michael Class 2010-05-28 08:41:45 UTC
Created attachment 417514 [details]
dmesg output

Comment 2 Michael Class 2010-05-28 08:42:38 UTC
Created attachment 417515 [details]
Xorg.0.log when booted with nonodeset

Comment 3 Michael Class 2010-05-28 08:43:23 UTC
Created attachment 417516 [details]
Xorg.0.log from a GENTOO where at least VESA does work

Comment 4 Matěj Cepl 2010-05-28 22:22:23 UTC
(In reply to comment #0)
> Booting with "nomodeset" does boot in text mode, but X server
> does not work later on

Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

What about starting the Xorg *without* nomodeset on the kernel command line (i.e., with KMS).

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command,
* system log (/var/log/messages), and
* X server log file (/var/log/Xorg.*.log)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 5 Michael Class 2010-05-30 13:49:39 UTC
Enclosed is the requested information. There is no xorg.conf files used.

Comment 6 Michael Class 2010-05-30 13:50:56 UTC
Created attachment 418024 [details]
dmesg output if normal system boot (display stayes dark after grub)

Comment 7 Michael Class 2010-05-30 13:52:00 UTC
Created attachment 418026 [details]
Xorg.0.log of normalboot (blank display after grub)

Comment 8 Michael Class 2010-05-30 13:53:28 UTC
Created attachment 418027 [details]
/var/log/messages file of system (normal boot, blank display after grub)

Comment 9 Michael Class 2010-05-31 12:26:27 UTC
Hello,

just as an additional info: I just have installed FC13 from the install DVD (insteadof using the Live CD). I was able to install FC13 in secure graphics mode and the installed system comes up with a working VESA Graphics in the correct resolution. (nomodeset was automaticcaly added to the kernel parameters). So in this case at least the system is somewhat usable.

This is good news for me, as this means that I can actually use the system until a final fix is found.

Regards,

Michael

Comment 10 Michael Class 2010-06-21 15:33:29 UTC
Hello,

once again some additional information:

1. I have tried with a 2.6.34 kernel from fc14: No change in behaviour
2. I have tried with the intel xf86-video-intel-2.11.901 (which will be upcoming 2.12) again with no difference
3. If I do attach an external VGA-Monitor and close the Laptop-Lid during boot, I do get a well working display on the external monitor. This was tested with an 1600x1200 monitor. The external display does not work, if it is connected after the boot, or if the laptop lid is open during boot!

Additional comment:

The Elitebook 8440p used here is the version with the 1378x768 display that is internally copnnected via DisplayPort and arrendale graphics. I have seen different error reports here for the same Laptop with a 1600x900 display which seems to work in general. But the 1600x900 display semms to be internally connected differently (not DisplayPort) - at least this is what I can read out of the Xorg.0.log of that machine.

Any hope of seeing some progress here?

Cheers,

Michael

Comment 11 Michael Class 2010-06-25 11:35:22 UTC
Just a new datapoint:

Starting with  kernel-2.6.33.5-136 I do get a working screen now. 

"Fri Jun 25 2010 Dave Airlie <airlied@redhat.com> 
2.6.33.5-136 - i915: fix edp on a number of notebooks (including whot's one) "

does seem to fix the initial issue. Intel graphics with kernel modesetting does now work in general.

The following issues seems to stay:

- adding a second monitor to the external VGA connector blanks the screen. Both monitors (internal and external) do not work and after removal of the external monitor the internal display still stays blank. Only reboot bringt it back.

- resume from suspend to ram does not bring back the display. (suspend to disk does work though).

Cheers,

Michael

Comment 12 Michael Class 2010-07-06 07:30:10 UTC
Hello,

just tried with the following kernel:

2.6.35-0.25.rc4.git0.fc13.x86_64 (built from fc14 sources).

After a resume from suspend to ram I do see the following messages in syslog:
(but still a dark screen)

[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1043 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1047 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1049 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1051 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1059 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1060 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1062 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1065 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1067 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1070 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1072 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1074 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1076 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1078 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1081 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1085 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1089 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1091 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1093 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1095 at 1041)
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung

Comment 13 Michael Class 2010-08-02 12:32:17 UTC
Just an Update:

Today I have tried with kernel 2.6.34.2-32.rc1.fc13.x86_64. Now suspend/resume is working. 

Adding a second monitor has worked too (Monitor is dynamically detected).

The only issue left was that after removing the second Monitor, the display went black (but with Mouse-Pointer visible). Only a reboot fixed it again (stopping and starting the X-Server nor switching VT's did help).

I will close this ticket, as it has deviate far away from the original issue.

Thank you for the progress.


Note You need to log in before you can comment on or make changes to this bug.